Subject: ARM, SoC: About the use DT-defined properties by 3rd-party drivers

From: [email-masked] (Timur Tabi)
Date: Tue, 13 Sep 2016 06:37:16 -0500

Sebastian Frias wrote:
> Let's make an abstraction of the word 'binding', 'create a binding', etc. and
> just focus on this:
> - Somebody submits a DT file that contains properties and nodes that are
> *not used*  by any Linux driver.
> - Said properties and nodes serve as HW description for HW blocks for which
> *there is no*  Linux driver.
>
> The goal of the above is to use the DT as the authoritative (and single)
> source of HW definition.

No.

I've grown weary of this discussion.  We have explained multiple times 
why this is impractical.  Using the DT to document hardware makes no 
sense.  No one is going to do that, and anyone who attempts to submit a 
DT binding without an actual driver will get rejected.